Subject: bug#12694: 24.2.50; `file-cache-add-file(-list)' commands

From: "Drew Adams" <[email-masked]>
Date: Fri, 16 Nov 2012 22:47:26 -0800

> > 4. `file-cache-add-file': Why does the file need to exist for
> > interactive use?
> 
> I believe that's somewhat inherent in the design of filecache.el.  The
> package assumes that the cached file names have unique non-directory
> parts.  If `file-cache-add-file' lets you enter a non-existent file
> name, and that inadvertently has the same non-directory part as an
> existing cache entry, the result would be to wipe out the cache entry
> for the existing file in favor of a non-existent entry, which would be
> annoying.  That said, I don't personally use filecache.el; 
> this is only from my reading of the code.

Thanks.  But what about the call to `message' for non-interactive use?  That's
pretty uncommon.  What's the rationale for that here?